egdata API
API ReferenceSearch

Search changelog records

Searches changelog entries and hydrates `metadata.changes[].oldValue` and `newValue` from canonical Mongo records or raw OpenSearch values. Search hits include best-effort `document` enrichment.

GET
/search/changelog

Searches changelog entries and hydrates metadata.changes[].oldValue and newValue from canonical Mongo records or raw OpenSearch values. Search hits include best-effort document enrichment.

Query Parameters

query?string

Search text.

type?string

Optional context type filter.

id?string

Optional context ID filter.

page?integer

One-based page number.

Default1
Range1 <= value
limit?integer

Maximum number of records to return. Most list endpoints cap this server-side.

Range1 <= value

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/search/changelog"
{  "hits": [    {      "_id": "string",      "timestamp": "2019-08-24T14:15:22Z",      "metadata": {        "contextType": "string",        "contextId": "string",        "context": {          "id": "string",          "artifactId": "string",          "appName": "string",          "buildVersion": "string",          "title": "string",          "namespace": "string"        },        "changes": [          {            "changeType": "string",            "action": "string",            "type": "string",            "field": "string",            "oldValue": null,            "newValue": null,            "oldValueRaw": null,            "newValueRaw": null          }        ]      },      "document": {        "id": "string",        "namespace": "string",        "title": "string",        "description": "string",        "longDescription": "string",        "offerType": "string",        "developerDisplayName": "string",        "publisherDisplayName": "string",        "seller": {          "id": "string",          "name": "string"        },        "tags": [          {}        ],        "offerMappings": [          {}        ],        "productSlug": "string",        "urlSlug": "string",        "url": "string",        "keyImages": [          {            "type": "string",            "url": "http://example.com",            "width": 0,            "height": 0          }        ],        "price": {          "offerId": "string",          "region": "string",          "price": {            "currencyCode": "string",            "originalPrice": 0,            "discountPrice": 0,            "discount": 0          },          "updatedAt": "2019-08-24T14:15:22Z"        },        "releaseDate": "2019-08-24T14:15:22Z",        "lastModifiedDate": "2019-08-24T14:15:22Z",        "locale": "es-ES",        "localeStatus": "canonical",        "canonicalLocale": "en-US",        "localization": {          "source": "string",          "fetchedAt": "2019-08-24T14:15:22Z",          "sourceUpdatedAt": "2019-08-24T14:15:22Z"        }      }    }  ],  "estimatedTotalHits": 0,  "processingTimeMs": 0,  "query": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}
{  "message": "string",  "error": "string"}